package com.iamberry.app.core.entity;

import java.util.Date;

import org.springframework.beans.factory.annotation.Qualifier;

/**
 * @author Sikandar
 * @ali@tronsis.com
 */

public class Machine implements IEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 6397691966448996687L;
	private Long id;					//id
	private Long owner;					//所属用户
	private String machine_name;		//机器名称
	private String machine_mac;			//机器 mac码
	private String machine_info;		//机器信息
	private String status_;				//机器状态		离线：offline		在线：online	
	private String location;			//机器位置
	private Date created_on;			//创建时间	/ 修改时间

	public Machine() {

	}

	public Machine(Long id, Long owner, String machine_name, String machine_mac, String machine_info, String status_, String location,
			Date created_on) {
		super();
		this.id = id;
		this.owner = owner;
		this.machine_name = machine_name;
		this.machine_mac = machine_mac;
		this.machine_info = machine_info;
		this.status_ = status_;
		this.location = location;
		this.created_on = created_on;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getOwner() {
		return owner;
	}

	public void setOwner(Long owner) {
		this.owner = owner;
	}

	public String getMachine_name() {
		return machine_name;
	}

	public void setMachine_name(String machine_name) {
		this.machine_name = machine_name;
	}

	public String getMachine_mac() {
		return machine_mac;
	}

	public void setMachine_mac(String machine_mac) {
		this.machine_mac = machine_mac;
	}

	public String getMachine_info() {
		return machine_info;
	}

	public void setMachine_info(String machine_info) {
		this.machine_info = machine_info;
	}

	public String getStatus_() {
		return status_;
	}

	public void setStatus_(String status_) {
		this.status_ = status_;
	}

	public String getLocation() {
		return location;
	}

	public void setLocation(String location) {
		this.location = location;
	}

	public Date getCreated_on() {
		return created_on;
	}

	public void setCreated_on(Date created_on) {
		this.created_on = created_on;
	}

	@Override
	public String toString() {
		return "Machine [id=" + id + ", owner=" + owner + ", machine_name="
				+ machine_name + ", machine_mac=" + machine_mac
				+ ", machine_info=" + machine_info + ", status_=" + status_
				+ ", location=" + location + ", created_on=" + created_on + "]";
	}
}
